Update an order based on the order Id
put
https://api.mercadoe.com/v1/orders/{orderId}
Change fields of a specific purchase order with provided values.
Request
Headers
X-ME-CORRELATION-ID
string
Internal client code to be identified in the webhook. It can be, for example, a product code in your ERP, an order number, etc.
Path Parameters
orderId
int32
required
the order id
Body
application/json
deliveryPlace
int32 | null
Delivery location ID in order header
note
string | null
Order note
paymentCondition
string | null
Client Payment Condition
clientPaymentConditionId
string | null
Client Payment Condition ID (code)
partnerSupplierId
int32 | null
Partner Supplier
freightValue
double | null
Freight value
incoTerms
string | null
Freight code (Incoterms)
proposalExpirationDate
date-time | null
Proposal Expiration Date
currencyCode
string | null
Currency in alphabetic code (for more information, please refer to: https://www.iso.org/iso-4217-currency-codes.html).
carrierID
int32 | null
Carrier ID
substituteSupplierID
int32 | null
Substitute supplier identification
carrierSupplierID
int32 | null
Carrier ID of the Supplier
isCanceled
boolean | null
Is this order canceled? (True/False)
- Canceled order = “True”.
- Active order = “False”.
- Canceled order = “True”.
- Active order = “False”.
items
array of object | null
List with the order items
contractId
int32 | null
clientContractId
string | null
clientDeliveryPlaceId
string | null
Client delivery place id
clientInvoicingPlaceId
string | null
Identifier of the invoicing location in the client’s ERP system.
attributes
array of object | null
Attributes of the order, consisting of a name, value and a description.
businessOrganizations
array of object | null
Business Organizations is a list consisting of the Company Code and the Delivery Center/Location Code.
IMPORTANT – COMPLETE REPLACEMENT BEHAVIOR:
If this field is provided, ALL existing Business Organizations for the order will be DELETED and REPLACED with the values sent in the request.
If this field is NOT provided or is empty, no changes will be made to the existing Business Organizations.
Examples:
Current order: [“0100”, “0200”, “0300”]
Request: [“0100”, “0400”]
Result: [“0100”, “0400”] (“0200” and “0300” will be REMOVED)
Request: (field not sent or empty)
Result: [“0100”, “0200”, “0300”] (no changes)
IMPORTANT – COMPLETE REPLACEMENT BEHAVIOR:
If this field is provided, ALL existing Business Organizations for the order will be DELETED and REPLACED with the values sent in the request.
If this field is NOT provided or is empty, no changes will be made to the existing Business Organizations.
Examples:
Current order: [“0100”, “0200”, “0300”]
Request: [“0100”, “0400”]
Result: [“0100”, “0400”] (“0200” and “0300” will be REMOVED)
Request: (field not sent or empty)
Result: [“0100”, “0200”, “0300”] (no changes)
Responses
202
400
404
Accepted
Body
application/json
correlationId
string | null